<?php
    Getsecurity('mesin');

    if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tlmachine WHERE ftmachine_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>

                  alert('Kode Mesin sudah dipakai... ');
            <?php
              }
              else {
                    ?> 
                 
                  submitbutton('Simpan','','','','');

            <?php
              }
               die("");
            break;
           
        }
    }

    $objAxpDB->ViewName("Daftar Mesin");
    $objAxpDB->ViewSQL("SELECT fnid, ftmachine_code,ftmachine_name, ftmachine_group_code FROM tlmachine ");
    $objAxpDB->ViewCaption("ID, Kode Mesin, Mesin, Group Mesin ");

    $objAxpDB->FormName("Mesin");
    $objAxpDB->FormSQL("select  ftmachine_code,ftmachine_name, ftmachine_group_code,
                                fnspeed, fnlength_minute, fnline, fnefficiency from tlmachine");
    $objAxpDB->FormCaption("Kode Mesin, Mesin, Group Mesin,
                                Loom Speed (RPM), One Minute (CM), Line, Efficiency (%)");
    
    $objAxpDB->FormPosition(" TL, TL, TL, TR, TR, TR, TR ");

    $objAxpDB->Lookup("ftmachine_group_code", "SELECT ftmachine_group_code, ftmachine_group_name FROM tlmachine_group", "ftmachine_group_code", "ftmachine_group_name", -1,true);

    $objAxpDB->GridSQL(0, "SELECT fnindex, ftitem_code FROM tlmachine_det");
    $objAxpDB->GridCaption(0, "No., Barang Sparepart");
    $objAxpDB->Lookup("ftitem_code", "SELECT ftitem_code, ftitem_name FROM tlstock_hdr_sparepart", "ftitem_code", "ftitem_name", 0,false);
    
    $objAxpDB->SetStatus("id, fnStatus");
    if ($objAxpDB->GetStatus("id") == "")
            $objAxpDB->ButtonShow("baru, cetak_daftar,  export_excel , tutup");
    elseif ($objAxpDB->GetStatus("id") == 0) {
            $objAxpDB->FormLocked("0, 0, 0");
            $objAxpDB->GridLocked(0, "1, 0");
            $objAxpDB->GridAllowAddNew(0,true);
            $objAxpDB->GridAllowDelete(0,true);
            $objAxpDB->GridAutoAdd(0, False);
            $objAxpDB->ButtonShow("reset, simpan, tutup");
    } elseif ($objAxpDB->GetStatus("id") != 0) {
           $objAxpDB->FormLocked("1, 0, 0");
           $objAxpDB->GridLocked(0, "1, 0");
           $objAxpDB->GridAllowAddNew(0,true);
           $objAxpDB->GridAllowDelete(0,true);
           $objAxpDB->GridAutoAdd(0, False);
           $objAxpDB->ButtonShow("update, hapus, tutup");
    }
    $objAxpDB->Process();
    $objAxpDB->WriteHtmlTable();